Subject: [PATCH 13/20] intel-iommu: switch from ioremap_cache to memremap

From: [email-masked] (Joerg Roedel)
Date: Mon, 12 Oct 2015 23:58:30 +0200

Hi Dan,

On Fri, Oct 09, 2015 at 06:16:46PM -0400, Dan Williams wrote:
> In preparation for deprecating ioremap_cache() convert its usage in
> intel-iommu to memremap.  This also eliminates the mishandling of the
> __iomem annotation in the implementation.

I appreciate the change, but in the cover letter you write the API is
only implemented for x86 so far? The VT-d driver is also used on ia64,
will it still work there with this patch?

	Joerg